// app.js

import { globalData } from "./utils/global";
const EventEmitter2 = require("./miniprogram_npm/eventemitter2/index").EventEmitter2;
const emitter = new EventEmitter2();

App({
  onLaunch() {
    // 展示本地存储能力
    const logs = wx.getStorageSync('logs') || []
    logs.unshift(Date.now())
    wx.setStorageSync('logs', logs)
   
   
    // 登录
    wx.login({
      success: res => {
        // 发送 res.code 到后台换取 openId, sessionKey, unionId
      }
    })
  },
 
  globalData: Object.assign(
    {
        ble: "",//全局蓝牙实例
        emitter: emitter, //全局订阅函数
        blueStatus: false,
        userInfo: null
    },    
    globalData
  ),   

})
